http://devices.iot1click.{region}.amazonaws.com/devices/{deviceId}/events#fromTimeStamp&toTimeStampUsing a device ID, returns a DeviceEventsResponse object containing an array of events for the device.
The unique identifier of the device.
The start date for the device event query, in ISO8061 format. For example, 2018-03-28T15:45:12.880Z
The maximum number of results to return per request. If not set, a default value of 100 is used.
The token to retrieve the next set of results.
The end date for the device event query, in ISO8061 format. For example, 2018-03-28T15:45:12.880Z
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://devices.iot1click.{region}.amazonaws.com/devices/{deviceId}/events#fromTimeStamp&toTimeStamp' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://devices.iot1click.{region}.amazonaws.com/devices/{deviceId}/events#fromTimeStamp&toTimeStampUsing a device ID, returns a DeviceEventsResponse object containing an array of events for the device.
The unique identifier of the device.
The start date for the device event query, in ISO8061 format. For example, 2018-03-28T15:45:12.880Z
The maximum number of results to return per request. If not set, a default value of 100 is used.
The token to retrieve the next set of results.
The end date for the device event query, in ISO8061 format. For example, 2018-03-28T15:45:12.880Z
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://devices.iot1click.{region}.amazonaws.com/devices/{deviceId}/events#fromTimeStamp&toTimeStamp' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}